import Vue from 'vue'
import App from './App'
import Vuex from 'vuex'

import moment from "moment";
import Store from './store/store'
import request from './util/index.js'
import utils from './common/utils.js'
import warnImage from '@/components/warning.vue'
Vue.use(Vuex)

Vue.config.productionTip = false

Vue.prototype.$store = Store
Vue.prototype.$util = utils
Vue.prototype.$request = request
Vue.prototype.$moment = moment

Vue.prototype.$eventHub = new Vue()

Vue.component('noFound', warnImage)

utils.netChange()

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
